diff --git a/spring-boot-project/spring-boot/src/test/java/org/springframework/boot/ImageBannerTests.java b/spring-boot-project/spring-boot/src/test/java/org/springframework/boot/ImageBannerTests.java
index b1d6686f4f6..0e90ec5db1f 100644
--- a/spring-boot-project/spring-boot/src/test/java/org/springframework/boot/ImageBannerTests.java
+++ b/spring-boot-project/spring-boot/src/test/java/org/springframework/boot/ImageBannerTests.java
@@ -184,7 +184,7 @@ void printBannerWhenPixelModeIsBlockShouldRenderBlocks() {
 		AnsiOutput.setEnabled(AnsiOutput.Enabled.NEVER);
 		String banner = printBanner("gradient.gif", "spring.banner.image.width=6", "spring.banner.image.margin=0",
 				"spring.banner.image.pixelmode=block");
-		assertThat(banner).contains("\u2588\u2593\u2592\u2591 ");
+		assertThat(banner).inHexadecimal().contains("\u2588\u2593\u2592\u2591 ");
 	}
 
 	private int getBannerHeight(String banner) {
